<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.vetti.hotake.mapper.HotakeCandidateInterviewRecordInfoMapper">
    
    <resultMap type="HotakeCandidateInterviewRecordInfo" id="HotakeCandidateInterviewRecordInfoResult">
        <result property="id"    column="id"    />
        <result property="userId"    column="user_id"    />
        <result property="cvId"    column="cv_id"    />
        <result property="recruiterId"    column="recruiter_id"    />
        <result property="candidateStatus"    column="candidate_status"    />
        <result property="stage"    column="stage"    />
        <result property="lastContact"    column="last_contact"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectHotakeCandidateInterviewRecordInfoVo">
        select id, user_id, cv_id, recruiter_id, candidate_status, stage, last_contact, del_flag, create_by, create_time, update_by, update_time, remark from hotake_candidate_interview_record_info
    </sql>

    <select id="selectHotakeCandidateInterviewRecordInfoList" parameterType="HotakeCandidateInterviewRecordInfo" resultMap="HotakeCandidateInterviewRecordInfoResult">
        <include refid="selectHotakeCandidateInterviewRecordInfoVo"/>
        <where>  
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="cvId != null "> and cv_id = #{cvId}</if>
            <if test="recruiterId != null "> and recruiter_id = #{recruiterId}</if>
            <if test="candidateStatus != null  and candidateStatus != ''"> and candidate_status = #{candidateStatus}</if>
            <if test="stage != null  and stage != ''"> and stage = #{stage}</if>
            <if test="lastContact != null  and lastContact != ''"> and last_contact = #{lastContact}</if>
        </where>
    </select>
    
    <select id="selectHotakeCandidateInterviewRecordInfoById" parameterType="Long" resultMap="HotakeCandidateInterviewRecordInfoResult">
        <include refid="selectHotakeCandidateInterviewRecordInfoVo"/>
        where id = #{id}
    </select>
        
    <insert id="insertHotakeCandidateInterviewRecordInfo" parameterType="HotakeCandidateInterviewRecordInfo" useGeneratedKeys="true" keyProperty="id">
        insert into hotake_candidate_interview_record_info
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="userId != null">user_id,</if>
            <if test="cvId != null">cv_id,</if>
            <if test="recruiterId != null">recruiter_id,</if>
            <if test="candidateStatus != null">candidate_status,</if>
            <if test="stage != null">stage,</if>
            <if test="lastContact != null">last_contact,</if>
            <if test="delFlag != null">del_flag,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
         </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="userId != null">#{userId},</if>
            <if test="cvId != null">#{cvId},</if>
            <if test="recruiterId != null">#{recruiterId},</if>
            <if test="candidateStatus != null">#{candidateStatus},</if>
            <if test="stage != null">#{stage},</if>
            <if test="lastContact != null">#{lastContact},</if>
            <if test="delFlag != null">#{delFlag},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
         </trim>
    </insert>

    <update id="updateHotakeCandidateInterviewRecordInfo" parameterType="HotakeCandidateInterviewRecordInfo">
        update hotake_candidate_interview_record_info
        <trim prefix="SET" suffixOverrides=",">
            <if test="userId != null">user_id = #{userId},</if>
            <if test="cvId != null">cv_id = #{cvId},</if>
            <if test="recruiterId != null">recruiter_id = #{recruiterId},</if>
            <if test="candidateStatus != null">candidate_status = #{candidateStatus},</if>
            <if test="stage != null">stage = #{stage},</if>
            <if test="lastContact != null">last_contact = #{lastContact},</if>
            <if test="delFlag != null">del_flag = #{delFlag},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteHotakeCandidateInterviewRecordInfoById" parameterType="Long">
        delete from hotake_candidate_interview_record_info where id = #{id}
    </delete>

    <delete id="deleteHotakeCandidateInterviewRecordInfoByIds" parameterType="String">
        delete from hotake_candidate_interview_record_info where id in 
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>

    <insert id="batchInsertHotakeCandidateInterviewRecordInfo">
        insert into hotake_candidate_interview_record_info( id, user_id, cv_id, recruiter_id, candidate_status, stage, last_contact, del_flag, create_by, create_time, update_by, update_time, remark,) values
        <foreach item="item" index="index" collection="list" separator=",">
            ( #{item.id}, #{item.userId}, #{item.cvId}, #{item.recruiterId}, #{item.candidateStatus}, #{item.stage}, #{item.lastContact}, #{item.delFlag}, #{item.createBy}, #{item.createTime}, #{item.updateBy}, #{item.updateTime}, #{item.remark},)
        </foreach>
    </insert>
</mapper>